Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414807 - Review Request: ghc-doctemplates - Pandoc-style document templates
Summary: Review Request: ghc-doctemplates - Pandoc-style document templates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 14:06 UTC by Jens Petersen
Modified: 2017-11-11 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-11 02:53:42 UTC
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2017-01-19 14:06:18 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-doctemplates.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-doctemplates-0.1.0.2-1.fc25.src.rpm

Description:
This is the templating system used by pandoc.  It was formerly
be a module in pandoc. It has been split off to make it easier
to use independently.

Comment 1 Jens Petersen 2017-01-19 14:12:37 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=17329211

Needed to build recent pandoc releases

Comment 2 Elliott Sales de Andrade 2017-10-05 02:40:45 UTC
No apparent issues; APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in
     1414807-ghc-doctemplates/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 13 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-doctemplates-0.1.0.2-1.fc28.x86_64.rpm
          ghc-doctemplates-devel-0.1.0.2-1.fc28.x86_64.rpm
          ghc-doctemplates-0.1.0.2-1.fc28.src.rpm
ghc-doctemplates.x86_64: W: spelling-error Summary(en_US) Pandoc -> Pan doc, Pan-doc, Pandora
ghc-doctemplates.x86_64: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
ghc-doctemplates.x86_64: W: spelling-error %description -l en_US pandoc -> pan doc, pan-doc, Pandora
ghc-doctemplates.x86_64: W: no-documentation
ghc-doctemplates.src: W: spelling-error Summary(en_US) Pandoc -> Pan doc, Pan-doc, Pandora
ghc-doctemplates.src: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
ghc-doctemplates.src: W: spelling-error %description -l en_US pandoc -> pan doc, pan-doc, Pandora
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ghc-doctemplates.x86_64: W: spelling-error Summary(en_US) Pandoc -> Pan doc, Pan-doc, Pandora
ghc-doctemplates.x86_64: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
ghc-doctemplates.x86_64: W: spelling-error %description -l en_US pandoc -> pan doc, pan-doc, Pandora
ghc-doctemplates.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
ghc-doctemplates-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-compiler
    ghc-devel(aeson-1.0.2.1-727tGRvxuFPI4K1AyXoIrt)
    ghc-devel(base-4.9.1.0)
    ghc-devel(blaze-html-0.8.1.3-4GC9ZrWsvleFkiwXhsHB3o)
    ghc-devel(blaze-markup-0.7.1.1-BiS8Ue09EMkGrAxkHLxlgn)
    ghc-devel(bytestring-0.10.8.1)
    ghc-devel(containers-0.5.7.1)
    ghc-devel(parsec-3.1.11-8RyPB3SGixcIZrsPWwkXoj)
    ghc-devel(scientific-0.3.4.10-DA9ONxqejsGCq5hXtyaVFh)
    ghc-devel(text-1.2.2.1-FwvWBfkNJh1I1NMMegz0uY)
    ghc-devel(unordered-containers-0.2.7.2-CCGHIBvU8ua1YYN1Bs8HVt)
    ghc-devel(vector-0.11.0.0-LMwQhhnXj8U3T5Bm1JFxG)
    ghc-doctemplates(x86-64)

ghc-doctemplates (rpmlib, GLIBC filtered):
    libHSaeson-1.0.2.1-727tGRvxuFPI4K1AyXoIrt-ghc8.0.2.so()(64bit)
    libHSarray-0.5.1.1-ghc8.0.2.so()(64bit)
    libHSattoparsec-0.13.1.0-G3BhdDx0nS3HUOq0M94zE6-ghc8.0.2.so()(64bit)
    libHSbase-4.9.1.0-ghc8.0.2.so()(64bit)
    libHSbase-compat-0.9.1-B9geVZFtCvE8ERS7UcvkRz-ghc8.0.2.so()(64bit)
    libHSbinary-0.8.3.0-ghc8.0.2.so()(64bit)
    libHSblaze-builder-0.4.0.2-Chs7nQ4Qyy3Dg6EW0im6Kk-ghc8.0.2.so()(64bit)
    libHSblaze-html-0.8.1.3-4GC9ZrWsvleFkiwXhsHB3o-ghc8.0.2.so()(64bit)
    libHSblaze-markup-0.7.1.1-BiS8Ue09EMkGrAxkHLxlgn-ghc8.0.2.so()(64bit)
    libHSbytestring-0.10.8.1-ghc8.0.2.so()(64bit)
    libHScontainers-0.5.7.1-ghc8.0.2.so()(64bit)
    libHSdeepseq-1.4.2.0-ghc8.0.2.so()(64bit)
    libHSdlist-0.8.0.2-6Wnps4GD7EFnRucVzXIFD-ghc8.0.2.so()(64bit)
    libHSghc-boot-th-8.0.2-ghc8.0.2.so()(64bit)
    libHSghc-prim-0.5.0.0-ghc8.0.2.so()(64bit)
    libHShashable-1.2.5.0-3jyU6ITgVDsZjJvM61wsx-ghc8.0.2.so()(64bit)
    libHSinteger-gmp-1.0.0.1-ghc8.0.2.so()(64bit)
    libHSinteger-logarithms-1.0.1-IEHCuEd5sG4JjSjlx7m5JF-ghc8.0.2.so()(64bit)
    libHSmtl-2.2.1-BLKBelFsPB3BoFeSWSOYj6-ghc8.0.2.so()(64bit)
    libHSparsec-3.1.11-8RyPB3SGixcIZrsPWwkXoj-ghc8.0.2.so()(64bit)
    libHSpretty-1.1.3.3-ghc8.0.2.so()(64bit)
    libHSprimitive-0.6.1.0-6AbSTw9JXz141LE5p6LGH-ghc8.0.2.so()(64bit)
    libHSscientific-0.3.4.10-DA9ONxqejsGCq5hXtyaVFh-ghc8.0.2.so()(64bit)
    libHStagged-0.8.5-1mTloBSoUxv8dqUr8XBGBt-ghc8.0.2.so()(64bit)
    libHStemplate-haskell-2.11.1.0-ghc8.0.2.so()(64bit)
    libHStext-1.2.2.1-FwvWBfkNJh1I1NMMegz0uY-ghc8.0.2.so()(64bit)
    libHStime-1.6.0.1-ghc8.0.2.so()(64bit)
    libHStime-locale-compat-0.1.1.3-3NWht2bntyvDGDNXWNkT1S-ghc8.0.2.so()(64bit)
    libHStransformers-0.5.2.0-ghc8.0.2.so()(64bit)
    libHStransformers-compat-0.5.1.4-IuFogs8HAVUJBWVNMhtssu-ghc8.0.2.so()(64bit)
    libHSunix-2.7.2.1-ghc8.0.2.so()(64bit)
    libHSunordered-containers-0.2.7.2-CCGHIBvU8ua1YYN1Bs8HVt-ghc8.0.2.so()(64bit)
    libHSvector-0.11.0.0-LMwQhhnXj8U3T5Bm1JFxG-ghc8.0.2.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-doctemplates-devel:
    ghc-devel(doctemplates-0.1.0.2-CmP3c0IkPFq5YlXofRVfwt)
    ghc-doctemplates-devel
    ghc-doctemplates-devel(x86-64)
    ghc-doctemplates-static

ghc-doctemplates:
    ghc-doctemplates
    ghc-doctemplates(x86-64)
    libHSdoctemplates-0.1.0.2-CmP3c0IkPFq5YlXofRVfwt-ghc8.0.2.so()(64bit)



Unversioned so-files
--------------------
ghc-doctemplates: /usr/lib64/ghc-8.0.2/doctemplates-0.1.0.2-CmP3c0IkPFq5YlXofRVfwt/libHSdoctemplates-0.1.0.2-CmP3c0IkPFq5YlXofRVfwt-ghc8.0.2.so

Source checksums
----------------
https://hackage.haskell.org/package/doctemplates-0.1.0.2/doctemplates-0.1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : b752f52350daaa9bcf261a1f1af5852f75572093c3d0cdeb4822282fb3a18a6b
  CHECKSUM(SHA256) upstream package : b752f52350daaa9bcf261a1f1af5852f75572093c3d0cdeb4822282fb3a18a6b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1414807
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Jens Petersen 2017-10-10 06:51:48 UTC
Thank you

https://pagure.io/releng/fedora-scm-requests/issue/2192

Comment 4 Gwyn Ciesla 2017-10-10 13:19:52 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-doctemplates. You may commit to the branch "f27" in about 10 minutes.

Comment 5 Fedora Update System 2017-10-15 07:31:13 UTC
ghc-doctemplates-0.1.0.2-4.fc27 ghc-hxt-unicode-9.0.2.4-1.fc27 ghc-hxt-regex-xmlschema-9.2.0.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a720501bc4

Comment 6 Fedora Update System 2017-10-16 05:22:38 UTC
ghc-doctemplates-0.1.0.2-4.fc27, ghc-hxt-regex-xmlschema-9.2.0.3-2.fc27, ghc-hxt-unicode-9.0.2.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a720501bc4

Comment 7 Fedora Update System 2017-11-11 02:53:42 UTC
ghc-doctemplates-0.1.0.2-4.fc27, ghc-hxt-regex-xmlschema-9.2.0.3-2.fc27, ghc-hxt-unicode-9.0.2.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.